<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Culture Selector Sample</title>
    <script language="javascript">
		function changing(sender, args)
		{
			var msg = "Do you really want to change the culture to " + args.get_culture() + "?";
			if (!confirm(msg))
			{
				args.set_canceled(true);
			}
		}
		
		function onTick()
		{
			$("clock").innerHTML = new Date().toFormattedString();
		}
    </script>
</head>
<body style="font-family: Arial; font-size: 15px;">
    <form id="form1" runat="server">
		<atlas:ScriptManager runat="server" EnableScriptComponents="true" EnableScriptGlobalization="false">
			<Scripts>
				<atlas:ScriptReference Path="js/CultureSelector.js" />
			</Scripts>
		</atlas:ScriptManager>
		<select id="cultureSelector"></select>
		<div id="clock" />
		<div style="color:Red;" id="loading">Loading</div>
    </form>
    
	<script type="text/xml-script">
		<page xmlns:jeffz="http://www.jeffzlive.net">
			<components>
				<jeffz:cultureSelector id="cultureSelector" cultureChanging="changing" />
				<timer interval="1000" tick="onTick" enabled="true" />
				<label id="loading" visibilityMode="Collapse">
					<bindings>
						<binding dataContext="cultureSelector" dataPath="isLoading" property="visible" />
					</bindings>
				</label>
			</components>
		</page>
	</script>
</body>
</html>
